import { RequireExactlyOne } from "type-fest";
export declare type Coordinates = [number, number];
export declare type CoordinatesPart = number | string | undefined;
export declare type CoordinatesArray = Readonly<[CoordinatesPart, CoordinatesPart]>;
export declare type CoordinatesString = string;
export declare type CoordinatesObjectLatitude = {
    lat?: CoordinatesPart;
    latitude?: CoordinatesPart;
};
export declare type CoordinatesObjectLongitude = {
    lng?: CoordinatesPart;
    lon?: CoordinatesPart;
    long?: CoordinatesPart;
    longitude?: CoordinatesPart;
};
export declare type CoordinatesObject = RequireExactlyOne<CoordinatesObjectLatitude> & RequireExactlyOne<CoordinatesObjectLongitude> & {
    [key: string]: unknown;
};
