"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var constants_1 = require("./constants");
function getValidCoords(param1, param2) {
    var _a, _b;
    var _c, _d, _e, _f;
    if (typeof param1 === "string" && typeof param2 === "undefined") {
        _a = param1.split(","), param1 = _a[0], param2 = _a[1];
    }
    else if (Array.isArray(param1)) {
        _b = param1, param1 = _b[0], param2 = _b[1];
    }
    else if (typeof param1 === "object" && param1 !== null) {
        var parts = param1;
        param1 = (_c = parts.latitude) !== null && _c !== void 0 ? _c : parts.lat;
        param2 = (_f = (_e = (_d = parts.longitude) !== null && _d !== void 0 ? _d : parts.lng) !== null && _e !== void 0 ? _e : parts.lon) !== null && _f !== void 0 ? _f : parts.long;
    }
    if ((!param1 && typeof param1 !== "number") ||
        (!param2 && typeof param2 !== "number")) {
        return null;
    }
    var latitude = Number(param1);
    var longitude = Number(param2);
    if (Number.isNaN(latitude) ||
        Number.isNaN(longitude) ||
        latitude < constants_1.LATITUDE_MIN ||
        latitude > constants_1.LATITUDE_MAX ||
        longitude < constants_1.LONGITUDE_MIN ||
        longitude > constants_1.LONGITUDE_MAX) {
        return null;
    }
    return [latitude, longitude];
}
exports.default = getValidCoords;
